﻿@model List<ClientRiskArc>
@{
    ViewData["Title"] = $"{ViewBag.Name}'s RiskArc";
    bool IsInDepth = ViewBag.IsInDepth;
    int ClientType = ViewBag.ClientType;
    bool IsMarried = ViewBag.IsMarried;
    IEnumerable<RiskArcQuestionModel> Questions = ViewBag.RiskArcQuestions;
    int cnt = 0;
    var inDepth = Context.Request.RouteValues["isIndepth"].ToString().ToLower();
}
<div class="container">
    <div class="card">
        <div class="card-body card-body pb-5">
            <form asp-action="saveriskarc" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_clientinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteRiskArc">
                <div class="d-flex justify-content-between">
                    <div>
                        <img class="h-50px" src="/images/risk-arc-elements.png" alt="">
                    </div>
                    <div>
                        <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
                    </div>
                </div>
                <hr />
                <h4 class="text-dark font-weight-bold mt-2 mb-2 mr-5">
                    @ViewBag.Name, help us understand your investment risk tolerance
                </h4>
                <input value="@ClientType" type="hidden" name="RiskArcClientType" />
                <input type="hidden" name="isIndepth" value="@inDepth" />
                <div class="min-h-350px riskarc-survey">
                    <ol id="question-list" class="list-group list-group-flush">
                        @foreach (var item in Questions)
                        {
                            <li class="list-group-item">
                                <input value="@item.Id" name="[@cnt].Id" type="hidden" />
                                <input value="@item.SectionId" name="[@cnt].SectionId" type="hidden" />
                                <input value="@item.Guid" name="[@cnt].Guid" type="hidden" />
                                <div class="form-group mb-0">
                                    <label class="col-form-label font-weight-bold">
                                        @(cnt + 1). @item.Question
                                        <span class="fa-stack pulse pulse-warning d-none" role="button" id="warning-@(cnt + 1)">
                                            <i class="fas fa-play fa-stack-1x text-dark icon-nm" style="transform: rotate(30deg);left:1px;top:3px"></i>
                                            <i class="fas fa-exclamation-triangle fa-stack-1x text-warning"></i>
                                            <span class="pulse-ring" style="margin-left:-2px;margin-top:-5px"></span>
                                        </span>
                                    </label>
                                    @if (item.SectionId == 15)
                                    {
                                        <div class="row">
                                            <div class="col-4 p-0">
                                                <img src="~/images/Graph1.jpg" class="img-fluid" />
                                            </div>
                                            <div class="col-4 p-0">
                                                <img src="~/images/Graph2.jpg" class="img-fluid" />
                                            </div>
                                            <div class="col-4 p-0">
                                                <img src="~/images/Chart.jpg" class="img-fluid" />
                                            </div>
                                        </div>
                                    }
                                    @if (item.Options != null)
                                    {
                                        int cnt2 = 1;
                                        <div class="radio-list">
                                            @foreach (string option in item.Options)
                                            {
                                                <div class="d-flex">
                                                    <div class="mr-2">
                                                        <label class="radio radio-outline">
                                                            <input type="radio" value="@cnt2" id="Answer_@($"{cnt}_{cnt2}")" name="[@cnt].Answer" @(item.Answer == cnt2 ? "checked" : "") class="required" id="radio-@cnt2">
                                                            <span></span>
                                                        </label>
                                                    </div>
                                                    <label for="Answer_@($"{cnt}_{cnt2}")" class="cursor-pointer">
                                                        @option
                                                    </label>
                                                </div>
                                                cnt2++;
                                            }
                                        </div>
                                    }
                                </div>
                            </li>
                            cnt++;
                        }
                    </ol>
                </div>
                <partial name="_WizardFooter" />
            </form>
        </div>
    </div>
</div>
<partial name="_RiskArcCompletionModal" />
@section scripts{
    <script>
        var maritalStatus = $("#ClientMaritalStatus").val();
        var isMarried = '@IsMarried' == "True";
        if ('@ClientType' == ClientType.CLIENT) {
            $("#back-text").text(`Back to Final Thought`);
            $("#btn-back").attr("data-prev-action", `home/final-thought`);
            if (!isMarried) {
                $("#btn-submit").addClass("d-none");
                $("#btn-complete").removeClass("d-none");
                $("#btn-complete").attr("data-original-title", `Complete RiskArc Survey`);
                var DisplayOnlyClient = $("#DisplayOnlyClient").val() == 1;
                if (DisplayOnlyClient) {
                    $("#btn-complete").addClass("d-none");
                    $("#question-list label.radio").addClass("radio-disabled");
                }
            }
        }
        else {
            $("#btn-submit").addClass("d-none");
            $("#btn-complete").removeClass("d-none");
            $("#btn-complete").attr("data-original-title", `Complete RiskArc Survey`);
        }
        var invalidIds = "";
        $("#kt_clientinfo_form").validate({
            errorPlacement: function () { },
            invalidHandler: function (event, validator) {
                var ids = "";
                $("[id^=warning]").addClass("d-none");
                $.each(validator.invalid, function (key, item) {
                    val = key.split(".")[0].replace(/[^\w\s]/gi, '');
                    $(`#warning-${Number(val) + 1}`).removeClass("d-none");
                    ids += ` ${Number(val) + 1},`;
                });
                invalidIds = ids;
                ids = ids.replace(/,\s*$/, "").replace(/,(?=[^,]*$)/, ' &');
                _showFormMessage("kt_clientinfo_form", "danger", `Provide answer in question <b id="invalidIds">${ids}</b> respectively.`, "fas fa-exclamation-triangle");
            }
        });
        $("[id^='radio-']").change(function () {
            var warningEl = $(this).closest("li").find(".pulse-warning");
            warningEl.addClass("d-none");
            var id = warningEl.attr("id").replace("warning-", "");
            invalidIds = invalidIds.replace(new RegExp(id + ',?'), '')
            var ids = invalidIds.replace(/,\s*$/, "").replace(/,(?=[^,]*$)/, ' &');
            $("#invalidIds").html(ids);
            if ($(".pulse-warning:visible").length == 0)
                $(".alert").remove();
        })
        $(document).on('click', '#btn-complete', function (e) {
            if ($("#kt_clientinfo_form").valid()) {
                $("#FromExitButton").val("1");
                var btn = KTUtil.getById(e.target.id);
                KTUtil.btnWait(btn, "spinner spinner-right spinner-white pr-15", "Please wait");
                $("#kt_clientinfo_form").submit();
            }
        });
        var goToWelcome = function () {
            window.location.href = "welcome";
        }
        var onFormCompleteRiskArc = function (response) {
            var frm_id = $(this).attr('id');
            var btn = KTUtil.getById("btn-complete");
            var responseObj = JSON.parse(response.responseText);
            if (responseObj) {
                if (responseObj.success) {
                    var url = window.location.href;
                    var fromExitButton = $("#FromExitButton").val() == "1";
                    if (fromExitButton) {
                        $.post("home/saveclientreports", function (response) {
                            if (response.success) {
                                window.location.href = "/welcome";
                            }
                        });
                    }
                    else {
                        if (url.includes("client")) {
                            if (isMarried) {
                                var indepth = $("#RiskArcVersion").val() == 1 ? true : false;
                                window.location.href = `spouse-riskarc-${indepth ? "indepth" : "express"}`;
                            }
                            else {
                                showSurveyCompletionToastr(responseObj.message, "goToWelcome");
                                $(btn).prop("disabled", true);
                            }
                        }
                        else {
                            showSurveyCompletionToastr(responseObj.message, "goToWelcome");
                            $(btn).prop("disabled", true);
                        }
                        setTimeout(function () { KTUtil.btnRelease(btn); }, 500);
                    }
                }
                else
                    _showFormMessage(frm_id, "danger", responseObj.message, "fas fa-exclamation-triangle");
            }
            else
                _showFormMessage("kt_login_signin_form", "danger", "Error Occur", "fas fa-exclamation-triangle")
        };
        setActiveRiskArcMenu();
    </script>
}